#define VIMAGE 1

#include <sys/param.h>
#include <sys/mbuf.h>
#include <sys/module.h>
#include <sys/kernel.h>
#include <sys/systm.h>


#include <net/vnet.h>

VNET_DEFINE_STATIC(int,		lld_crashtest_teststatic);
VNET_DEFINE(int,		lld_crashtest_int);

static int
lld_crashtest_modevent(module_t mod __unused, int event, void *arg __unused)
{
	int error = 0;

	switch(event) {
	case MOD_LOAD:
		uprintf("lld_crashtest_teststatic @ 0x%jx\n", (uintptr_t)&vnet_entry_lld_crashtest_teststatic);
		uprintf("lld_crashtest_int @ 0x%jx\n", (uintptr_t)&vnet_entry_lld_crashtest_int);
		break;
	case MOD_UNLOAD:
		break;
	default:
		error = EOPNOTSUPP;
		break;
	}

	return (error);
}

static moduledata_t lld_crashtest_mod = {
	"lld_crashtest",
	lld_crashtest_modevent,
	NULL
};

DECLARE_MODULE(lld_crashtest, lld_crashtest_mod, SI_SUB_DRIVERS, SI_ORDER_MIDDLE);
